.dir-ltr {
    direction: ltr;
}
.text-right {
    text-align: right;
}
.dir-rtl {
    direction: rtl;
}
.text-left {
    text-align: left;
}

.error-help-block {
    color: red;
    order: 1;
}
.text-mid-warning {
    color: #ff5500;
}
.toastr {
    direction: rtl !important;
}

.tooltip {
    font-family: IRANSans, Tahoma !important;
}

.w-100px {
    width: 100px !important;
}
.w-150px {
    width: 150px !important;
}
.w-200px {
    width: 200px !important;
}
.w-250px {
    width: 250px !important;
}
.w-300px {
    width: 300px !important;
}
.w-350px {
    width: 350px !important;
}
.w-400px {
    width: 400px !important;
}
.w-500px {
    width: 500px !important;
}
.w-550px {
    width: 550px !important;
}
.w-600px {
    width: 600px !important;
}
.mw-50px {
    max-width: 50px !important;
}
.mw-100px {
    max-width: 100px !important;
}
.mw-150px {
    max-width: 150px !important;
}
.mw-200px {
    max-width: 200px !important;
}
.mx-500px {
    max-width: 500px !important;
}
.nw-250px {
    max-width: 250px !important;
}
.mw-300px {
    max-width: 300px !important;
}
.mw-350px {
    max-width: 350px !important;
}
.mw-400px {
    max-width: 400px !important;
}
.mw-500px {
    max-width: 500px !important;
}
.mw-550px {
    max-width: 550px !important;
}
.mw-600px {
    max-width: 600px !important;
}

.custom-file-button input[type="file"] {
    margin-left: -2px !important;
}

.custom-file-button input[type="file"]::-webkit-file-upload-button {
    display: none;
}

.custom-file-button input[type="file"]::file-selector-button {
    display: none;
}

.custom-file-button:hover label:first-child {
    background-color: #dde0e3;
    cursor: pointer;
}

.file-name-label {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
/* custom style for sidebar */
.app-sidebar .menu-item {
    padding: 0.55rem 0;
}
.menu-accordion.show:has(.menu-sub) {
    background-color: #1c1c21c9;
    transition: 0.2s ease;
    animation-direction: reverse;
}
[data-kt-app-layout="dark-sidebar"]
    .app-sidebar
    .menu
    > .menu-item
    .menu-link.active {
    background-color: #343439;
}
.menu-item.show > .menu-link {
    background-color: #343439;
}
.menu-item .menu-link {
    transition: 0.3s ease;
}
.menu-item .menu-link:hover {
    background-color: #343439;
}
/* custom style for sidebar */

/* custom style for list of badge */
.badge-container {
    position: relative;
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    transition: 0.3s ease;
    max-width: 300px;
}
.badge-container-list {
    display: none;
    gap: 3px;
    background-color: #fff;
    position: absolute;
    list-style: none;
    top: 20px;
    transition: 0.3s ease;
    border: 1px solid #d6d6d6;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 7px;
    z-index: 200;
    width: 300px;
    flex-wrap: wrap;
    padding: 10px;
}

.badge-container:hover .badge-container-list {
    display: flex !important;
}
/* custom style for list of badge */

.ticket_attachment_buttons {
    border: solid 2px #cfcfcf;
    border-radius: 5px;
    color: #7a7a7a;
    padding: 3px;
    text-align: center;
    font-size: 12px;
    display: inline-block;
}

.attachment_in {
    border: solid 2px #bca5f1 !important;
    border-radius: 5px !important;
    color: #9975ec !important;
}
.attachment_in i {
    color: #9975ec !important;
}
.attachment_out {
    border: solid 2px #84d0f9 !important;
    border-radius: 5px !important;
    color: #64c6fb !important;
}
.attachment_out i {
    color: #64c6fa !important;
}

/* -----------------ticket time line styles------------------ */
.ticket-timeline {
    display: flex;
    flex-direction: column;
    padding: 20px;
    padding-top: 100px;
}

.ticket-timeline .item:nth-child(even) {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: calc(50% + 1px);
    border-right: 1px solid #ddd;
    margin-right: auto;
}

.ticket-timeline .item .box {
    border-bottom: 5px solid #39adc273 !important;
}

.ticket-timeline .item:nth-child(even) .box {
    border-bottom: 5px solid #6e72e073 !important;
}

.ticket-timeline .item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 50%;
    border-left: 1px solid #dddd;
    position: relative;
}

.ticket-timeline .item:nth-child(even) {
    border-left: 0;
}

.ticket-timeline .item .box {
    border: 1px solid #dddd;
    display: flex;
    flex-direction: column;
    padding: 20px;
    flex-grow: 1;
    position: relative;
    border-radius: 10px;
    transition: 0.3 ease;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    margin-bottom: 20px;
}

.ticket-timeline .item .box .description {
    max-height: 200px;
    overflow: auto;
}

@media (max-width: 992px) {
    .ticket-timeline .item .box .description {
        max-height: unset;
        overflow: unset;
    }
}

.ticket-timeline .item .seprator::before {
    content: "";
    display: block;
    width: 7px;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: #dddd;
    position: absolute;
    top: 50%;
    left: -4px;
    transform: translate(0%, -50%);
}

.ticket-timeline .item .seprator::after {
    content: "";
    display: block;
    width: 7px;
    aspect-ratio: 1;
    border-radius: 50%;
    background-color: #dddd;
    position: absolute;
    top: 50%;
    right: -4px;
    transform: translate(0%, -50%);
}

.ticket-timeline .seprator {
    height: 1px;
    width: 70px;
    background-color: #dddd;
    position: relative;
    flex-shrink: 0;
}

.ticket-timeline .item .box > div {
    margin-bottom: 8px;
}

.ticket-timeline .item .box > div span:first-child {
    font-weight: 600;
    color: black;
}

.ticket-timeline .item .box > div span:last-child {
    font-weight: 500;
    color: #999999;
}

.ticket-timeline .tickets-list .search-box input {
    padding-left: 20px;
}

.ticket-timeline .tickets-list .search-box i {
    position: absolute;
    left: 10px;
    bottom: calc(50% - 10px);
    display: block;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    color: #969696;
}

.tickets-list .text-nowrap {
    text-wrap: nowrap;
}

.ticket-timeline .align-items-center {
    align-items: center;
}

.ticket-timeline .justify-content-center {
    justify-content: center;
}

.ticket-timeline .justify-content-between {
    justify-content: space-between;
}

.ticket-header .heading-box {
    flex-grow: 1;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px;
}

.ticket-timeline {
    overflow-y: auto;
    max-height: 800px;
}

@media (max-width: 992px) {
    .ticket-timeline .item:nth-child(even),
    .ticket-timeline .item {
        width: unset;
        display: block;
    }

    .ticket-timeline .seprator {
        display: none;
    }

    .ticket-timeline .item::after {
        content: "";
        display: block;
        width: 2px;
        height: 30px;
        background-color: #b4b4b4;
        transform: translate(50%, 0);
        right: 50%;
        position: relative;
    }

    .ticket-header .box {
        position: relative;
        margin-top: 60px;
    }

    .ticket-header .box .inner-box {
        flex-direction: column;
        align-items: flex-start;
    }

    .change-status-btn {
        position: absolute;
        left: 20px;
        top: -50px;
    }

    .ticket-timeline .box {
        margin-top: 0;
    }

    .panel.panel-flat.KT_tngtable {
        padding: 10px;
    }

    .ticket-timeline {
        padding: 20px 0 0;
    }

    .ticket-header .heading-box {
        flex-direction: column;
        align-items: flex-start;
    }

    .ticket-timeline .item {
        border-left: 0;
        border-right: 0;
    }
}

.ticket-timeline .item .user-image {
    border-radius: 50%;
    max-width: 50px;
    width: 100%;
    aspect-ratio: 1;
    position: absolute;
    left: 14px;
    top: 14px;
    z-index: 200;
}

@media (max-width: 922px) {
    .ticket-timeline .item,
    .ticket-timeline .item:nth-child(even) {
        padding-right: 20px;
        border-right: 1px solid #b4b4b4;
    }

    .ticket-timeline .item::after {
        content: "";
        display: block;
        background: #b4b4b4;
        width: 10px;
        height: 10px;
        border-radius: 50%;
        position: absolute;
        top: 50%;
        right: 0;
        z-index: 20;
    }

    .ticket-timeline .item::before {
        content: "";
        display: block;
        position: absolute;
        background-color: #b4b4b4;
        width: 20px;
        height: 3px;
        z-index: 20px;
        top: 51.5%;
        right: 2px;
    }

    .ticket-timeline .item .box {
        margin-bottom: 30px;
    }

    .ticket-timeline .item .box .description {
        max-height: 200px;
        overflow: auto;
        height: 100%;
    }
}

table .dropdown-menu {
    max-height: 230px;
    overflow-y: auto;
}
.notif-item .flex-stack {
    padding: 10px;
    border-radius: 5px;
    transition: 0.4s ease;
}
.notif-item .flex-stack:hover {
    background-color: rgba(238, 238, 238, 0.507) !important;
}
.fs-10 {
    font-size: 10px !important;
}
.cursor-pointer {
    cursor: pointer;
}
.fs-12 {
    font-size: 12px;
}

.star-box img {
    max-width: 15px;
}
@media (max-width: 768px) {
    .star-box-container {
        justify-content: start !important;
    }
}

.message-container-box {
    max-width: 700px;
    width: 100%;
}
.ticket_reply_item .message-box {
    background-color: #123e56;
    color: #fff;
}
.own-message {
    background-color: #e9e8e8;
    border: 1px solid #123e56;
}
